* initialize Stata
clear all
set more off
set mem 100m

**Enter the file path to the project folder 
global projectfolder "path_to_folder"

**change director
cd "$projectfolder"
 

*load file
use "${projectfolder}\raw_data\confidential\restaurants_gps_confidential.dta", clear

*change restaurant names to A, B, C, and D
replace c0_1string = "Restaurant B" if c0_1string == "Restaurant Chez Françoise"
replace c0_1string = "Restaurant C" if c0_1string == "Restaurant La grâce"
replace c0_1string = "Restaurant D" if c0_1string == "Resto-Bar"
replace c0_1string = "Restaurant A" if c0_1string == "Restaurant Le Maxime"

*change the geocoordinates
set seed 20231106
generate lat_adj = runiform() * 0.02
generate lon_adj = runiform() * 0.02
gen a_4latitude_adj  = a_4latitude + lat_adj
gen a_4longitude_adj  = a_4longitude + lon_adj

*drop variable label
drop c0_1

drop username devicephonenum formdef_version key submissiondate starttime endtime interview_date deviceid a_4latitude a_4longitude  lat_adj lon_adj

rename (a_4latitude_adj a_4longitude_adj) (a_4latitude a_4longitude)

*save down file
save "\\ucbare2\Users$\cisse\Documents\bushmeat_demand\raw_data\restaurants_gps_ano.dta", replace






