**Enter the file path to the project folder 
version 18.0
set varabbrev on

global projectfolder "C:/WBG/Rep-checks/RR_COD_2024_223"

**change director
*cd "${projectfolder}"
  
*Step 1:import the coupon id dataset into Stata environment
import excel "${projectfolder}/data/raw_data/coupon_data_ano.xlsx", firstrow clear
compress

*check for duplicates in coupon id
duplicates tag coupon_id, gen(dups)
ta dups
duplicates drop coupon_id,force
*assign values label to the variable that checks if bushmeat was ordered
label define bushmeat_in_dish 0"no" 1 "yes"
label value bushmeat_in_dish bushmeat_in_dish
drop dups

**# Bookmark #2
**format the variable coupon id to match with experimental datasets
gen coupon_id_gen = upper(coupon_id)
replace coupon_id_gen=ltrim(coupon_id_gen)
replace coupon_id_gen=rtrim(coupon_id_gen)

**# Bookmark #3
**we noticed that 23 coupon data from 3 restaurants were forged. The subjects were never interviewed on the field. We are dropping such data from the datasets
drop if coupon_id_gen=="05D22FR" | coupon_id_gen=="1KZM49F" | coupon_id_gen=="2T0Q0P3" | coupon_id_gen=="2V80VNM" | coupon_id_gen=="5TDD1ID" | ///
coupon_id_gen=="7297L7X" | coupon_id_gen=="77FEPTT6" | coupon_id_gen=="8A8KYU1" | coupon_id_gen=="DG5CSXB" | coupon_id_gen=="J2OCBV0" | ///
coupon_id_gen=="NY8I4BF" | coupon_id_gen=="OAPRNVR" | coupon_id_gen=="OIAT01B" | coupon_id_gen=="OYHQ677" | coupon_id_gen=="QAPRNUR" | ///
coupon_id_gen=="S2FXJKC" | coupon_id_gen=="SOQVZOG" | coupon_id_gen=="TVBW25G" | coupon_id_gen=="UDYNCV4" | coupon_id_gen=="WZQ14F3" | ///
coupon_id_gen=="X3N22DI" | coupon_id_gen=="Y60FPQ7" | coupon_id_gen=="ZVA7EZJ"
 
*save datasets as Stata format ahead of merging with experimental datasets
save "${projectfolder}/data/raw_data/intermediate/coupon_data_v2.dta", replace

**Step 2: Import the raw Experimental Dataset for Merging with the Coupon Dataset
use "${projectfolder}/data/raw_data/survey_data_ano.dta", clear

*check for duplicates in coupon ID
duplicates tag coupon_id_gen, gen(dups2)

*we need to drop the 25 interviews that are actually not duplicates, but with no coupon id since the subjects reported they did not 
*eat bushmeat in the last 30 days. The reason why it was dropped is to allow us merged both datasets without any form of issues
drop if dups2==24

**format the variable coupon id to match with experimental datasets
replace coupon_id_gen=ltrim(coupon_id_gen)
replace coupon_id_gen=rtrim(coupon_id_gen)
  
*Step 3: Merge the experiment dataset with coupon datasets
merge 1:1 coupon_id using "${projectfolder}/data/raw_data/intermediate/coupon_data_v2.dta", gen (_merge)
  
*Step 4: save the merged datasets 
saveold  "${projectfolder}/data/raw_data/survey_with_coupon_data_ano.dta", replace

 